Loading...
Searching...
No Matches
pappso::GrpGroupingMonitorInterface Class Referenceabstract

`#include <grpgroupingmonitor.h>`

Inheritance diagram for pappso::GrpGroupingMonitorInterface:

## Public Member Functions

virtual | ~GrpGroupingMonitorInterface ()
virtual void | startGrouping (std::size_t total_number_protein, std::size_t total_number_peptide)=0
virtual void | groupingProtein ()=0
virtual void | startRemovingNonInformativeSubGroupsInAllGroups (std::size_t total_number_group)=0
virtual void | stopRemovingNonInformativeSubGroupsInAllGroups (std::size_t total_number_group)=0
virtual void | removingNonInformativeSubGroupsInGroup ()=0
virtual void | startNumberingAllGroups (std::size_t total_number_group)=0
virtual void | stopGrouping ()=0

## Detailed Description

Definition at line 32 of file grpgroupingmonitor.h.

## Constructor & Destructor Documentation

## ~GrpGroupingMonitorInterface()

pappso::GrpGroupingMonitorInterface::~GrpGroupingMonitorInterface | ( |  | ) |

virtual

Definition at line 34 of file grpgroupingmonitor.cpp.

{
}

## Member Function Documentation

## groupingProtein()

virtual void pappso::GrpGroupingMonitorInterface::groupingProtein | ( |  | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::startGrouping().

## removingNonInformativeSubGroupsInGroup()

virtual void pappso::GrpGroupingMonitorInterface::removingNonInformativeSubGroupsInGroup | ( |  | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::removeNonInformativeSubGroups().

## startGrouping()

virtual void pappso::GrpGroupingMonitorInterface::startGrouping | ( | std::size_t | total_number_protein,
|  | std::size_t | total_number_peptide
| ) |  |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::startGrouping().

## startNumberingAllGroups()

virtual void pappso::GrpGroupingMonitorInterface::startNumberingAllGroups | ( | std::size_t | total_number_group | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::numbering().

## startRemovingNonInformativeSubGroupsInAllGroups()

virtual void pappso::GrpGroupingMonitorInterface::startRemovingNonInformativeSubGroupsInAllGroups | ( | std::size_t | total_number_group | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::removeNonInformativeSubGroups().

## stopGrouping()

virtual void pappso::GrpGroupingMonitorInterface::stopGrouping | ( |  | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::startGrouping().

## stopRemovingNonInformativeSubGroupsInAllGroups()

virtual void pappso::GrpGroupingMonitorInterface::stopRemovingNonInformativeSubGroupsInAllGroups | ( | std::size_t | total_number_group | ) |

pure virtual

Implemented in pappso::GrpGroupingMonitor.

Referenced by pappso::GrpExperiment::removeNonInformativeSubGroups().

The documentation for this class was generated from the following files:

- pappsomspp/grouping/grpgroupingmonitor.h
- pappsomspp/grouping/grpgroupingmonitor.cpp